/* ============================================================================================================================================= /
 * LIBRARY:         I2C initialization
 * FILE:            I2C_init.h
 * LAST REV:        1.0
 * AUTHOR:          Ivo Colleoni
 * DEVICE:          PIC18F
 * CREATED:         17/03/2011
 * UPDATED:         17/03/2011
 *
 * DESCRIP:         Inizializzazione protocollo i2c
 *
 * /* ============================================================================================================================================= /
 * Change History:
 * 1.0              17/03/2014          - Prima release
/* ============================================================================================================================================= */

#ifndef XTAL_FREQ
    #error Definire XTAL_FREQ
#endif

/* PROTOTIPI ================================================================================================================================== */

/**
 * Imposta il protocollo I2C e calcola SSPADD. per ora gestito solo come master
 * @param   baud_rate: indicare il badrate espresso in KHz (unsigned int)
 * @return  void
 */
void I2C_init_master(unsigned int _baud_rate);